summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile2
-rwxr-xr-xhelpers/lh20
-rwxr-xr-xhelpers/live-helper38
3 files changed, 43 insertions, 17 deletions
diff --git a/Makefile b/Makefile
index 8465ed2..75d2bbb 100644
--- a/Makefile
+++ b/Makefile
@@ -25,7 +25,7 @@ build:
install:
# Installing executables
mkdir -p $(DESTDIR)/usr/bin
- cp helpers/lh* $(DESTDIR)/usr/bin
+ cp helpers/* $(DESTDIR)/usr/bin
# Installing shared data
mkdir -p $(DESTDIR)/usr/share/live-helper
diff --git a/helpers/lh b/helpers/lh
index 7b27c2d..70dc6b9 100755
--- a/helpers/lh
+++ b/helpers/lh
@@ -1,23 +1,11 @@
#!/bin/sh
-# live-helper(7) - utility to build Debian Live systems
+# lh(1) - generic live-helper wrapper
# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program. If not, see <http://www.gnu.org/licenses/>.
-#
-# On Debian systems, the complete text of the GNU General Public License
-# can be found in /usr/share/common-licenses/GPL-3 file.
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
set -e
diff --git a/helpers/live-helper b/helpers/live-helper
new file mode 100755
index 0000000..e4ce2be
--- /dev/null
+++ b/helpers/live-helper
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# live-helper(7) - the Debian Live tool suite
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+# On Debian systems, the complete text of the GNU General Public License
+# can be found in /usr/share/common-licenses/GPL-3 file.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/functions.sh
+
+if [ -x "$(which man 2>/dev/null)" ]
+then
+ man live-helper
+ exit 0
+else
+ Echo "live-helper is a set of scripts to build Debian Live system images."
+ echo
+ Echo "The idea behind live-helper is a framework that uses a configuration directory to completely automate and customize all aspects of building a Live image."
+ echo
+ Echo "An introduction to live-helper can be found in the live-helper(7) manpage."
+ exit 0
+fi